> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List schedule recipients

> Retrieves the list of recipients for the specified schedule. Successful responses will include the recipients and details about the schedule's destination type.

To retrieve a schedule's full configuration, use the [List schedules](/api/schedules#list-schedules) endpoint.




## OpenAPI

````yaml /api/openapi.yaml get /v1/schedules/{scheduleId}/recipients
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/schedules/{scheduleId}/recipients:
    get:
      tags:
        - Schedule recipients
      summary: List schedule recipients
      description: >
        Retrieves the list of recipients for the specified schedule. Successful
        responses will include the recipients and details about the schedule's
        destination type.


        To retrieve a schedule's full configuration, use the [List
        schedules](/api/schedules#list-schedules) endpoint.
      operationId: listScheduleRecipients
      parameters:
        - name: scheduleId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: >
            The ID of the schedule. To find a schedule's ID:


            1. Navigate to the dashboard of a document.

            2. Click **File > Deliveries & Alerts**.

            3. Next to a schedule, click **Edit**.


            The schedule's ID is in the page's URL, after `/schedules/`. For
            example, the schedule ID in this URL is
            `123e4567-e89b-12d3-a456-426614174000`:


            ```markdown

            https://blobsrus.omniapp.co/dashboards/e23ebaa0/schedules/123e4567-e89b-12d3-a456-426614174000
      responses:
        '200':
          description: >
            Successful requests return a `200 OK` status and response body
            specific to the schedule's destination type.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ScheduleRecipientsEmail'
                  - $ref: '#/components/schemas/ScheduleRecipientsSftp'
                  - $ref: '#/components/schemas/ScheduleRecipientsSlack'
                  - $ref: '#/components/schemas/ScheduleRecipientsWebhook'
                  - $ref: '#/components/schemas/ScheduleRecipientsS3'
              examples:
                email:
                  summary: Email destination
                  value:
                    recipients:
                      - email: blobby@blobsrus.com
                        emailOnly: false
                        id: 3e7c4152-cdac-42ce-8749-fe3b81d5d8ab
                        name: blobby@blobsrus.com
                    type: email
                sftp:
                  summary: SFTP destination
                  value:
                    type: sftp
                    address: sftp.example.com
                    port: 22
                    username: username
                slackChannel:
                  summary: Slack destination with channel recipients
                  value:
                    type: slack
                    recipients:
                      - recipientType: channel
                        slackId: C123456789
                slackUser:
                  summary: Slack destination with user recipients
                  value:
                    type: slack
                    recipients:
                      - recipientType: users
                        slackId: U123456789
                webhook:
                  summary: Webhook destination
                  value:
                    type: webhook
                    url: https://example.com/webhook
                s3:
                  summary: Amazon S3 destination
                  value:
                    type: s3
                    bucketName: my-reports-bucket
                    region: us-east-1
                    roleArn: arn:aws:iam::123456789012:role/OmniS3DeliveryRole
                    externalId: 4fbeb98a-d973-4529-9f36-0df471894ea8
                    keyPrefix: reports/daily/
                    filename: '{{entityName}}-{{currentDate}}'
        '400':
          description: |
            Bad Request. Possible error messages include:

            - `Bad Request: scheduleId: Invalid uuid`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: |
            Not Found. Possible error messages include:

            - `Scheduled task with id {scheduleId} does not exist`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  schemas:
    ScheduleRecipientsEmail:
      type: object
      description: Response for schedules with email destinations.
      properties:
        type:
          type: string
          enum:
            - email
          description: The destination type.
        recipients:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
                format: email
                description: The recipient's email address.
              emailOnly:
                type: boolean
                description: Indicates whether the recipient is an email-only user.
              id:
                type: string
                format: uuid
                description: The recipient's unique identifier.
              name:
                type: string
                description: The recipient's name.
    ScheduleRecipientsSftp:
      type: object
      description: Response for schedules with SFTP destinations.
      properties:
        type:
          type: string
          enum:
            - sftp
          description: The destination type.
        address:
          type: string
          description: The SFTP server address.
        port:
          type: integer
          description: The SFTP server port.
        username:
          type: string
          description: The SFTP username.
    ScheduleRecipientsSlack:
      type: object
      description: Response for schedules with Slack destinations.
      properties:
        type:
          type: string
          enum:
            - slack
          description: The destination type.
        recipients:
          type: array
          items:
            type: object
            properties:
              recipientType:
                type: string
                enum:
                  - channel
                  - users
                description: |
                  The type of Slack recipient:
                  - `channel` - A Slack channel
                  - `users` - A Slack user
              slackId:
                type: string
                description: The Slack channel or user ID.
    ScheduleRecipientsWebhook:
      type: object
      description: Response for schedules with webhook destinations.
      properties:
        type:
          type: string
          enum:
            - webhook
          description: The destination type.
        url:
          type: string
          format: uri
          description: The webhook URL.
    ScheduleRecipientsS3:
      type: object
      description: Response for schedules with Amazon S3 destinations.
      properties:
        type:
          type: string
          enum:
            - s3
          description: The destination type.
        bucketName:
          type: string
          description: The name of the S3 bucket.
        region:
          type: string
          description: The AWS region of the S3 bucket.
        roleArn:
          type: string
          description: The ARN of the customer's IAM role.
        externalId:
          type: string
          description: The external ID for IAM trust policy configuration.
        keyPrefix:
          type: string
          description: The folder path prefix for uploaded files.
        filename:
          type: string
          description: The filename template using Mustache syntax.
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    MethodNotAllowed:
      description: Method Not Allowed - Invalid HTTP method for this endpoint
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````